2009-04-11  Benjamin Berg  <benjamin@sipsolutions.net>

	* theme-util.c: (theme_delete):
	Only delete the theme if the user pressed OK (bug #578694)

2009-03-18  Jens Granseuer  <jensgr@gmx.net>

	* appearance-desktop.c: (wp_remove_wallpaper): after removing an
	image set the cursor to the newly selected wallpaper so that
	keyboard navigation works as expected (bug #575075)

==================== 2.25.92 ====================

2009-02-19  Jens Granseuer  <jensgr@gmx.net>

	* theme-installer.c: (gnome_theme_install_real): fix message markup
	appearing in dialog (bug #572453)

==================== 2.25.90 ====================

2009-01-28  Luca Ferretti  <elle.uca@libero.it>

	reviewed by: Jens Granseuer

	* data/appearance.glade:
	* gnome-wp-info.c: (gnome_wp_info_new): Use "Desktop Background"
	instead "Wallpaper" as per GDP glossary (Fixes bug #569382)	

2009-01-25  Jens Granseuer  <jensgr@gmx.net>

	* Makefile.am:
	* gnome-wp-info.h:
	* gnome-wp-item.h: define GNOME_DESKTOP_USE_UNSTABLE_API in Makefile
	instead of individual headers

2009-01-25  Jens Granseuer  <jensgr@gmx.net>

	Fix newly installed themes appearing twice in the GTK themes list if
	the package contains themes for both GTK and metacity (bug #568595)

	* appearance-style.c: (changed_on_disk_cb): check the new
	GnomeThemeElement parameter instead of the theme properties to
	determine what part of the theme changed
	* appearance-themes.c: (theme_changed_on_disk_cb): use new callback
	signature

==================== 2.25.3 ====================
==================== 2.25.2 ====================

2008-11-29  Jens Granseuer  <jensgr@gmx.net>

	* theme-installer.c: (file_theme_type): don't leak the filename

2008-11-27  Jens Granseuer  <jensgr@gmx.net>

	* theme-installer.c: (transfer_cancel_cb): really remove the
	temporary directory when the transfer is cancelled

2008-11-20  Jens Granseuer  <jensgr@gmx.net>

	Patch by: Maxim Ermilov <zaspire@rambler.ru>

	* gnome-wp-xml.c: (gnome_wp_xml_get_bool): use g_ascii_strcasecmp
	instead of the deprecated g_strcasecmp (bug #560424)

2008-11-09  Kjartan Maraas  <kmaraas@gnome.org>

	* appearance-main.c: (init_appearance_data):
	Add missing argument to capplet_init().

2008-11-08  Jens Granseuer  <jensgr@gmx.net>

	* appearance-main.c: (init_appearance_data), (main): don't
	initialize gettext and gtk twice

==================== 2.25.1 ====================

Sat Oct 25 23:11:58 2008  Søren Sandmann  <sandmann@redhat.com>

	* appearance.h: Don't define GNOME_DESKTOP_USE_UNSTABLE_API

	* appearance-main.c: Don't include gnome-desktop-thumbnail.h

Fri Oct 24 18:46:11 2008  Søren Sandmann  <sandmann@redhat.com>

	* appearance-main.c: Get rid of gnome includes

Fri Oct 24 18:32:16 2008  Søren Sandmann  <sandmann@redhat.com>

	* appearance-main.c (main): Use capplet_init()

2008-10-11  Kjartan Maraas  <kmaraas@gnome.org>

	* appearance-font.c: (application_font_to_gconf):
	* theme-installer.c: (invalid_theme_dialog),
	(gnome_theme_install_real):
	* theme-util.c: (theme_install_file):
	Fix GCC warnings from -Wformat-security.

2008-10-07  Jens Granseuer  <jensgr@gmx.net>

	Patch by: Matthias Clasen <mclasen@redhat.com>

	* appearance-main.c: (main_window_response):
	* appearance-style.c: (style_response_cb): connect the help buttons
	to the most appropriate sections in the user guide (bug #554957)

2008-10-07  Jens Granseuer  <jensgr@gmx.net>

	* data/appearance.glade: revert r9025 and reinstate the help buttons

2008-09-29  Jens Granseuer  <jensgr@gmx.net>

	* data/appearance.glade: really remove the non-working help button
	(bug #473181)

==================== 2.24.0.1 ====================

2008-09-24  Jens Granseuer  <jensgr@gmx.net>

	* appearance-style.c: (conv_to_widget_cb), (prepare_list): make sure
	the GConf to widget conversion funtion has all the data it needs
	when it is called for the first time. Fixes a possible crash when
	starting the capplet (bug #553541)

2008-09-21  Jens Granseuer  <jensgr@gmx.net>

	* data/appearance.glade: set GtkAdjustment page size to 0 to avoid
	problems due to newly enforced value boundaries in GTK+ 2.14.  See
	bug #551740 for a description of the problem.

2008-09-18  Jens Granseuer  <jensgr@gmx.net>

	* theme-save.c: (write_theme_to_disk): don't fail if the destination
	files already exist and the user tries to overwrite them (bug #552671)

2008-08-22  Jens Granseuer  <jensgr@gmx.net>

	* appearance-style.c: (conv_to_widget_cb), (create_thumbnail),
	(prepare_list): when a hidden theme is selected, and therefore
	becomes visible, create a thumbnail for it (bug #547301)

2008-08-14  Jens Granseuer  <jensgr@gmx.net>

	* data/appearance.glade: remove help button as long as we don't have
	any help to show (bug #473181)

2008-08-12  Jens Granseuer  <jensgr@gmx.net>

	* appearance-style.c: (conv_to_widget_cb), (prepare_list): when
	adding an unknown theme to the list because it has been selected use
	the corresponding default icon to represent it

2008-07-29  Jens Granseuer  <jensgr@gmx.net>

	* appearance-main.c: (main):
	* appearance-themes.c: (theme_drag_data_received_cb):
	* theme-installer.c: (gnome_theme_install),
	(gnome_theme_installer_run):
	* theme-installer.h: make theme installation from GIO-supported
	sources work (including drag and drop) (bug #545335)

2008-07-29  Jens Granseuer  <jensgr@gmx.net>

	* theme-installer.c: (gnome_theme_install_from_uri): file transfer
	dialog now uses GFiles internally, so update the caller

2008-07-28  Bastien Nocera  <hadess@hadess.net>

	* theme-installer.c (cleanup_tmp_dir):
	* theme-util.c (theme_delete): Fix build for the previous change

2008-07-28  Bastien Nocera  <hadess@hadess.net>

	* theme-util.c:
	* theme-util.h: Remove the directory deletion helpers, and
	move them to the common sub-directory

2008-07-20  Jens Granseuer  <jensgr@gmx.net>

	* theme-util.c: (theme_delete): don't delete ~/.icons when deleting
	the last icon theme (bug #543763)

2008-07-15  Matthias Clasen  <mclasen@redhat.com>

	Bug 533611 - add notification themes to the metatheme format

	* appearance-themes.c: When loading a metatheme from GConf, read
	the notification theme from /apps/notification-daemon/theme.

	* appearance-theme-save.c: When saving a metatheme to disk,
	save the notification theme with the key NotificationTheme.

	* appearance-theme-util.h: Add a define for the GConf key
	used for notification theme.

2008-06-21  Jens Granseuer  <jensgr@gmx.net>

	Patch by: Matthias Clasen <mclasen@redhat.com>

	* appearance-main.c: (main):
	* data/gnome-appearance-properties.desktop.in.in: use standard icon
	name from the icon naming spec (bug #539339)

2008-06-01  Thomas Wood  <thos@gnome.org>

	* appearance-desktop.c: (wp_props_wp_selected), (wp_load_stuffs),
	(wp_select_after_realize), (desktop_init), (desktop_shutdown):

	Delay the creation of the wallpaper file chooser dialog to save time on
	start up.

Sat May 31 02:05:32 2008  Søren Sandmann  <sandmann@redhat.com>

	* appearance-desktop.c (wp_drag_get_data): Make sure the data we
	produce is actually a list of uris, not a list of paths. (Prevents
	crash when someone drags a thumbnail back into the list).
	
	* appearance-desktop.c (wp_add_image): Be robust against NULL
	filenames; this can happen if someone drops an http url on the
	dialog.

Sat May 31 00:41:20 2008  Søren Sandmann  <sandmann@redhat.com>

	* gnome-wp-item.c (options_lookup): The gconf string is "zoom",
	not "zoomed".

Fri May 30 23:01:57 2008  Søren Sandmann  <sandmann@redhat.com>

	* gnome-wp-item.c (set_bg_properties): Update to match API change
	in libgnome-desktop.

2008-05-24  Jens Granseuer  <jensgr@gmx.net>

	* theme-util.c: (theme_is_writable), (theme_delete): expect
	a path instead of an URI in theme_info->path

2008-05-24  Jens Granseuer  <jensgr@gmx.net>

	* theme-util.c: (directory_delete_recursive): also delete the
	directory itself

2008-05-24  Jens Granseuer  <jensgr@gmx.net>

	* theme-installer.c: (cleanup_tmp_dir): fix up last commit

2008-05-24  Jens Granseuer  <jensgr@gmx.net>

	Based on a patch by: Lincoln de Sousa <lincoln@minaslivre.org>

	Port the last remaining bits of gnome-vfs to gio (bug
	#524401).

	* appearance-main.c: (init_appearance_data):
	* theme-installer.c: (cleanup_tmp_dir), (file_theme_type),
	(transfer_cancel_cb), (gnome_theme_install_real),
	(transfer_done_cb): use gio instead of gnome-vfs

	* theme-util.c:
	* theme-util.h: make file_delete_recursive public

	* gnome-wp-info.c: include string.h to avoid warning

==================== 2.23.2 ====================

2008-05-08  Jens Granseuer  <jensgr@gmx.net>

	* appearance-style.c: (style_message_area_response_cb),
	(update_message_area), (gtk_theme_changed), (style_init):
	* appearance.h:
	* data/appearance.glade: also show a missing theme engine in the
	GTK themes list and offer to install it via packagekit

2008-05-07  Jens Granseuer  <jensgr@gmx.net>

	Add support for installing missing GTK+ theme engines via
	packagekit (bug #511065)

	* appearance-themes.c: (theme_message_area_response_cb),
	(theme_message_area_update): when we detect a missing engine,
	check if packagekit is available on the session bus. If it is show
	an install button to pull the corresponding package
	* appearance.h:
	* theme-util.c: (packagekit_available), (theme_install_file):
	* theme-util.h: add support functions

2008-05-07  Jens Granseuer  <jensgr@gmx.net>

	Patch by: Lincoln de Sousa <lincoln@minaslivre.org>

	* theme-save.c: (setup_directory_structure), (write_theme_to_disk):
	replace some more gnome-vfs by gio (part of bug #524401)

2008-05-06  Jens Granseuer  <jensgr@gmx.net>

	* Makefile.am:
	* appearance-themes.c: (theme_message_area_update): move metatheme
	validation code to common/gnome-theme-info.c

2008-05-04  Jens Granseuer  <jensgr@gmx.net>

	* appearance-desktop.c: (desktop_init):
	* gnome-wp-info.c: (gnome_wp_info_new), (gnome_wp_info_free):
	* gnome-wp-info.h:
	* gnome-wp-item.c: (gnome_wp_item_new),
	(gnome_wp_item_update_description):
	* gnome-wp-item.h: even more gio migration

2008-05-01  Jens Granseuer  <jensgr@gmx.net>

	* appearance-themes.c: (theme_get_mtime),
	(theme_drag_data_received_cb):
	* theme-util.c: (directory_delete_recursive),
	(file_delete_recursive), (theme_is_writable), (theme_delete): port a
	few more functions to gio (part of bug #524401)

2008-05-01  Jens Granseuer  <jensgr@gmx.net>

	Based on a patch by: Lincoln de Sousa <lincoln@minaslivre.org>

	* appearance-desktop.c: (wp_drag_received), (wp_update_preview): more
	gio conversion (part of bug #524401)

2008-05-01  Jens Granseuer  <jensgr@gmx.net>

	* appearance-themes.c: (themes_init): update for changes in the
	theme-info API

2008-04-20  Jens Granseuer  <jensgr@gmx.net>

	* appearance-style.c: (update_thumbnail_in_treeview):
	* appearance-themes.c: (theme_thumbnail_update),
	(theme_thumbnail_generate): adapt to modified refcounting in the
	thumbnailer; thumbnails don't need to be unref'ed unless we explicitly
	retain a reference

2008-04-19  Jens Granseuer  <jensgr@gmx.net>

	* Makefile.am:
	* appearance-themes.c: (theme_validate),
	(theme_message_area_update), (themes_init):
	* appearance.h: show a warning message when the selected theme is
	incomplete (e.g. missing icon theme or gtk theme engine)

2008-04-17  Jens Granseuer  <jensgr@gmx.net>

	Patch by: Lincoln de Sousa <lincoln@minaslivre.org>

	* gnome-wp-xml.c (gnome_wp_file_changed), (gnome_wp_xml_add_monitor),
	(gnome_wp_xml_load_from_dir), (gnome_wp_xml_load_list): replace gnome-vfs by
	gio (part of bug #524401)

2008-04-14  Thomas Wood  <thos@gnome.org>

	* Makefile.am:
	* appearance-themes.c: (themes_init):
	* caption-cellrenderer.c:
	* caption-cellrenderer.h:

	Add a custom cell renderer for metatheme names to allow rounded corners
	on the selection indicator. Fixes bug 500276.

2008-04-13  Jens Granseuer  <jensgr@gmx.net>

	* appearance-desktop.c: (wp_option_menu_set),
	(wp_scale_type_changed), (wp_shade_type_changed),
	(wp_options_changed), (wp_shading_changed), (wp_props_wp_set),
	(wp_load_stuffs):
	* data/appearance.glade:
	* gnome-wp-item.c: (wp_item_option_to_string),
	(wp_item_shading_to_string), (wp_item_string_to_option),
	(wp_item_string_to_shading), (set_bg_properties),
	(gnome_wp_item_update), (gnome_wp_item_free):
	* gnome-wp-item.h:
	* gnome-wp-xml.c: (gnome_wp_xml_load_xml),
	(gnome_wp_xml_save_list): use the GnomeBG enum types instead of
	strings to handle options internally and only convert when needed

2008-04-08  Jens Granseuer  <jensgr@gmx.net>

	* gedit-message-area.h: fix include (sync with gedit)

2008-03-28  Jens Granseuer  <jensgr@gmx.net>

	* theme-installer.c: (gnome_theme_install_from_uri): don't try to
	unref URIs if the theme package is invalid (bug #524567)

2008-03-27  Jens Granseuer  <jensgr@gmx.net>

	* theme-installer.c: (gnome_theme_install_real): remove bogus flag
	(gnome_theme_install_from_uri): update for internal API change

2008-03-27  Jens Granseuer  <jensgr@gmx.net>

	Patch by: Patrick Wade <patrick.wade@sun.com>

	* appearance-themes.c: (custom_font_cb),
	(theme_message_area_response_cb), (theme_message_area_update),
	(themes_init), (themes_shutdown):
	* appearance.h: allow the user to revert a font change proposed by a
	metatheme (bug #519065)

2008-03-19  Jens Granseuer  <jensgr@gmx.net>

	* data/appearance.glade: don't declare the backgrounds icon view
	reorderable. It's not. Besides, setting this property breaks the
	custom drag and drop functionality (bug #523347). This fixes the
	critical warning when trying to drag an unselected item, but it looks
	like the new nautilus doesn't support background drag and drop, anyway

2008-03-11  Jens Granseuer  <jensgr@gmx.net>

	* data/appearance.glade: don't resize the font samples vertically when
	the window is resized (bug #521823)

2008-02-27  Jens Granseuer  <jensgr@gmx.net>

	* theme-installer.c: (gnome_theme_install_from_uri): adapt to new
	FileTransferDialog that uses gio instead of GnomeVFS

2008-02-16  Jens Granseuer  <jensgr@gmx.net>

	* appearance-desktop.c: (wp_option_menu_set), (wp_load_stuffs):
	* gnome-wp-item.c: (gnome_wp_item_update), (gnome_wp_item_new):
	* gnome-wp-item.h: always apply the current GConf settings to the
	initially selected wallpaper so that we don't modify the settings if
	GConf state and the definition in backgrounds.xml are not identical
	(bug #516746)

	* gnome-wp-xml.c: (gnome_wp_xml_load_xml): get rid of redundant if

2008-02-15  Kjartan Maraas  <kmaraas@gnome.org>

	* appearance-desktop.c: (wp_scale_type_changed),
	(wp_shade_type_changed): Make it build.

2008-02-14  Jens Granseuer  <jensgr@gmx.net>

	* appearance-desktop.c: (wp_scale_type_changed): don't try to set shading
	and options in GConf when we're dealing with a read-only source (bug
	#516328)

2008-02-11  Matthias Clasen <mclasen@redhat.com>

	Fixes bug #511306

	* capplets/appearance/data/appearance.glade:
	* capplets/appearance/appearance-font.c: remove useless (with
	GIO-based Nautilus) 'Go to fonts folder' button.

2008-02-09  Jens Granseuer  <jensgr@gmx.net>

	* theme-installer.c: (gnome_theme_installer_run): make sure we're done
	with the dialog before we destroy it (bug #515414)

2008-02-05  Jens Granseuer  <jensgr@gmx.net>

	* data/appearance.glade: add a comment for translators (bug #514598)

2008-01-25  Soren Sandmann  <sandmann@redhat.com>

	* gnome-wp-item.c (collect_save_options): Delete this function.

	* gnome-wp-xml.c: Don't include gnome-wp-utils.h
	* appearance-desktop.c: Don't include gnome-wp-utils.h
	* gnome-wp-item.c: Don't include gnome-wp-utils.h
	* gnome-wp-item.h: Move gconf key macros here from gnome-wp-utils.h

	* Makefile.am: Delete gnome-wp-utils.[ch]
	
	* gnome-wp-utils.[ch]: Delete these files.
	
2008-01-25  Soren Sandmann  <sandmann@redhat.com>

	* gnome-wp-item.h (GNOME_DESKTOP_USE_UNSTABLE_API): 
	* appearance-desktop.c (GNOME_DESKTOP_USE_UNSTABLE_API): 
	* gnome-wp-item.c (GNOME_DESKTOP_USE_UNSTABLE_API): 

	Define this macro before including gnome-bg.h

2008-01-24  Jens Granseuer  <jensgr@gmx.net>

	* appearance-desktop.c: (on_item_changed): only declare variables at
	the beginning of a code block...
	* gnome-wp-item.c: (gnome_wp_item_update_description): ... and fix a
	constness warning
	* gnome-wp-xml.c: (gnome_wp_xml_load_xml): remove unused variable

2008-01-14  Soren Sandmann  <sandmann@redhat.com>

	* appearance-desktop.c: Update list model when the background
	changes. 
	* gnome-wp-item.c: Create a GnomeBG for the item.
	* gnome-wp-item.h: Add a GnomeBG field - Remove
	gnome_wp_item_dup() function.
	* gnome-wp-info.c: Delete gnome_wp_item_dup() function.
	* gnome-wp-xml.c: Ensure that a GnomeBG exists.

2007-12-22  Thomas Wood  <thos@gnome.org>

	* theme-installer.c: (transfer_done_tgz_tbz),
	(transfer_done_archive), (gnome_theme_install_real),
	(transfer_done_cb), (gnome_theme_install_from_uri):

	Make error dialogs more complient with the HIG (bug 400968).

2007-12-21  Luca Ferretti  <elle.uca@libero.it>

	* appearance-themes.c: (theme_message_area_response_cb),
	(theme_message_area_update), (themes_init):
	* theme-util.h:
	Read WindowTitleFont and DocumentsFont from meta-theme
	and use to set the value for /apps/metacity/general/titlebar_font
	and /desktop/gnome/interface/document_font_name GConf keys.
	This closes bug #504250

2007-12-06  Jens Granseuer  <jensgr@gmx.net>

	* gnome-wp-item.c: (gnome_wp_item_update_description): slightly change
	the code layout in hoping that intltool will now pick up the
	translation hint...

2007-12-06  Jens Granseuer  <jensgr@gmx.net>

	* data/appearance.glade: don't mark padding strings for translation
	and add translation comments for the pixel order strings (bug #502087)

2007-11-28  Jens Granseuer  <jensgr@gmx.net>

	* appearance-desktop.c: (desktop_init):
	* theme-installer.c: (gnome_theme_installer_run): make "Open" the
	default action for the file choosers (bug #500091)

2007-11-22  Frederic Crozat  <fcrozat@mandriva.com>

	* gnome-wp-item.c: Fix detection of image mimetype (bug #498980)

2007-11-18  Jens Granseuer  <jensgr@gmx.net>

	* appearance-desktop.c: (desktop_init): add shortcut for
	/usr/share/backgrounds to background file chooser and also consider it
	when setting the initial directory (bug #497807)

2007-11-11  Jens Granseuer  <jensgr@gmx.net>

	* appearance-style.c: (changed_on_disk_cb):
	* appearance-themes.c: (theme_changed_on_disk_cb): adapt to modified
	theme change callback

2007-11-03  Jens Granseuer  <jensgr@gmx.net>

	* appearance-desktop.c: (wp_color_changed), (wp_props_wp_set):
	* gnome-wp-item.c: (gnome_wp_item_new), (gnome_wp_item_free),
	(gnome_wp_item_dup):
	* gnome-wp-item.h:
	* gnome-wp-xml.c: (gnome_wp_xml_load_xml), (gnome_wp_xml_save_list):
	be more careful when reading background information from GConf and make
	sure we don't choke on NULL values later on (bug #492903)

2007-11-01  Jens Granseuer  <jensgr@gmx.net>

	Patch by: Joel Pfaff <joel.pfaff@gmail.com>

	* appearance-themes.c: (themes_init): fix build without libXcursor

2007-10-30  Jens Granseuer  <jensgr@gmx.net>

	* theme-installer.c: (gnome_theme_installer_run): revert last patch,
	it's just too ugly as long as the "one dialog per installed file" issue
	isn't fixed

2007-10-30  Jens Granseuer  <jensgr@gmx.net>

	Patch by: Benjamin Gramlich <benjamin.gramlich@gmail.com>

	* theme-installer.c: (gnome_theme_installer_run): allow the user to
	select multiple themes to install at once (first part of the fix for
	bug #124554)

2007-10-30  Jens Granseuer  <jensgr@gmx.net>

	When installing multiple themes at once, don't ask the user whether to
	apply after each theme. Instead, simply show a success message after
	installation has finished, and ask only if a single theme has been
	installed.

	* theme-installer.c: (gnome_theme_install_real),
	(transfer_done_cb): check whether there are multiple themes to install
	up front, and skip the apply dialog if so

2007-10-30  Jens Granseuer  <jensgr@gmx.net>

	* theme-installer.c: (gnome_theme_install_real): also update the icon
	cache for icon themes with cursors

2007-10-30  Jens Granseuer  <jensgr@gmx.net>

	* theme-installer.c: (file_theme_type), (gnome_theme_install_real):
	teach the installer to recognize cursor themes and icon themes with
	cursors and how to apply them

2007-10-29  Jens Granseuer  <jensgr@gmx.net>

	* appearance-style.c: (gtk_theme_changed), (window_theme_changed),
	(icon_theme_changed), (update_cursor_size_scale),
	(cursor_theme_changed):
	* appearance-themes.c: (theme_selection_changed_cb):
	* theme-util.c: (theme_is_writable):
	* theme-util.h: simplify some more code, and fix a crash when the
	cursor theme in GConf is unset that I introduced in r8212

2007-10-28  Jens Granseuer  <jensgr@gmx.net>

	* appearance-style.c: (prepare_list):
	* theme-util.c: (theme_is_writable), (theme_delete): simplify code
	thanks to the new unified theme type

2007-10-28  Jens Granseuer  <jensgr@gmx.net>

	* appearance-style.c: (changed_on_disk_cb): add support for live cursor
	theme updates

2007-10-28  Jens Granseuer  <jensgr@gmx.net>

	* appearance-style.c: (changed_on_disk_cb):
	* appearance-themes.c: (theme_changed_on_disk_cb): adapt to changes in
	theme change notification

2007-10-27  Jens Granseuer  <jensgr@gmx.net>

	* appearance-style.c: (cursor_size_scale_value_changed_cb),
	(update_cursor_size_scale), (cursor_theme_changed), (prepare_list):
	* appearance-themes.c: (theme_load_from_gconf):
	* theme-util.h: reduce the number if XCURSOR ifdefs and get rid of the
	special treatment for the default cursor theme

2007-10-27  Jens Granseuer  <jensgr@gmx.net>

	If the cursor theme changes, and the currently set size is not
	available for the new theme, we were not updating the cursor size in
	GConf, leading to bogus results when checking for metatheme equality.

	* appearance-style.c: (cursor_size_changed_cb),
	(update_cursor_size_scale), (cursor_size_scale_value_changed_cb):
	update cursor size GConf value when the theme changes; also don't write
	bogus values to GConf when we are only doing fuzzy matches

2007-10-27  Jens Granseuer  <jensgr@gmx.net>

	* theme-util.c: (theme_is_writable):
	* theme-util.h: move function here from common/

	* appearance-style.c: (gtk_theme_changed), (window_theme_changed),
	(icon_theme_changed), (cursor_theme_changed):
	* appearance-themes.c: (theme_selection_changed_cb): adapt callers

2007-10-27  Jens Granseuer  <jensgr@gmx.net>

	* theme-util.c: (theme_delete): if the parent directory is empty after
	deleting a theme, delete the parent directory, too

2007-10-26  Jens Granseuer  <jensgr@gmx.net>

	* appearance-style.c: (cursor_theme_delete_cb), (style_init):
	* theme-util.c: (theme_delete): make the cursor themes delete button
	work

2007-10-25  Jens Granseuer  <jensgr@gmx.net>

	* appearance-style.c: (style_init):
	* data/appearance.glade: move some more of the cursor size widget
	initialization to glade. This allows the slider to be updated properly
	on startup (bug #490103)

2007-10-25  Denis Washington  <denisw@svn.gnome.org>

	* appearance-themes.c: Take cursor size into account in theme_is_equal(),
	and also watch the cursor theme/size gconf keys for changes.

2007-10-24  Jens Granseuer  <jensgr@gmx.net>

	* appearance-themes.c: (theme_load_from_gconf),
	(theme_details_changed_cb), (themes_init): return a new theme instead
	of munging whatever got passed in. Makes for a saner API

2007-10-24  Jens Granseuer  <jensgr@gmx.net>

	The fix for bug #420154 not only made the entry for the theme installer
	disappear from the menu, but also disabled mime-type handling for Gnome
	Theme Packages (bug #486811). Revert that change and use NoDisplay=true
	instead. This will remove the entry from the menu (not from the menu
	editor, though), and not break mime handling.

	* data/gnome-theme-installer.desktop.in.in: use NoDisplay=true instead
	of OnlyShowIn=;

2007-10-18  Jens Granseuer  <jensgr@gmx.net>

	* appearance-themes.c: (theme_load_from_gconf),
	(theme_set_custom_from_theme): really make sure gtk, metacity, icon, and
	cursor themes are never NULL (should fix #487257 if the last commit didn't
	already)

2007-10-14  Jens Granseuer  <jensgr@gmx.net>

	When updating theme info from GConf or copying it for customization, we
	were ignoring xcursor settings. As a result, saved custom themes always
	had the default theme set. (bug #485709)

	* appearance-themes.c: (get_default_int_from_key),
	(theme_load_from_gconf), (theme_set_custom_from_theme): when setting up
	theme info, take cursor settings into account

2007-10-09  Jens Granseuer  <jensgr@gmx.net>

	* appearance-desktop.c: (wp_props_wp_set): fix crash if we fail to
	convert a filename to UTF-8

2007-09-28  Jens Granseuer  <jensgr@gmx.net>

	* appearance-themes.c: (theme_store_sort_func): make theme sorting
	case-insensitive (bug #481224)

2007-09-23  Jens Granseuer  <jensgr@gmx.net>

	* gnome-wp-item.c: (gnome_wp_item_free), (gnome_wp_item_dup):
	* gnome-wp-item.h:
	* gnome-wp-xml.c: (gnome_wp_xml_load_xml): remove unused imguri property
	from GnomeWPItem

2007-09-23  Jens Granseuer  <jensgr@gmx.net>

	* appearance-desktop.c: (wp_drag_received), (wp_drag_get_data),
	(desktop_init): add support for dragging images from the background list
	(bug #150544)

2007-09-21  Jens Granseuer  <jensgr@gmx.net>

	* theme-installer.c: (gnome_theme_install_real): reword the "theme engine"
	error message since we cannot really be sure it is an engine (bug #435680)

2007-09-21  Jens Granseuer  <jensgr@gmx.net>

	* theme-installer.c: (gnome_theme_install_real),
	(transfer_done_cb), (gnome_theme_install_from_uri): unify "invalid theme"
	error messages and be a bit more verbose

2007-09-16  Jens Granseuer  <jensgr@gmx.net>

	* appearance-main.c: (main): add a comment for translators (bug #473379)

2007-09-16  Jens Granseuer  <jensgr@gmx.net>

	* data/appearance.glade: don't set a fixed width for the toolbar button
	color label (bug #474317)

2007-09-09  Claude Paroz  <claude@2xlibre.net>

	* data/appearance.glade: Correct translatable property value of Save As.
	Fixes #473810.

2007-09-01  Jens Granseuer  <jensgr@gmx.net>

	* gedit-message-area.c: (gedit_message_area_init): sync with upstream

2007-09-01  Jens Granseuer  <jensgr@gmx.net>

	* appearance-font.c: (font_render_load), (cb_show_details): break out
	of the loop asap; use _prepend instead of _append

2007-08-31  Jens Granseuer  <jensgr@gmx.net>

	* appearance-font.c: (font_render_load), (setup_font_pair),
	(enum_group_load), (enum_group_create): don't define gconf_key as
	const and save a few casts

2007-08-31  Jens Granseuer  <jensgr@gmx.net>

	* appearance-font.c: (enum_group_destroy), (cb_show_details),
	(font_init), (font_shutdown):
	* appearance.h: don't leak the enum groups

2007-08-28  Gabor Kelemen  <kelemeng@gnome.hu>
	
	* data/appearance.glade: This time really fix bug 470532 (gtk-delete
	stock id is marked for translation)

2007-08-27  Jens Granseuer  <jensgr@gmx.net>

	* appearance-style.c: (update_thumbnail_in_treeview): don't leak the
	thumbnails

2007-08-27  Jens Granseuer  <jensgr@gmx.net>

	* appearance-style.c: (update_in_treeview),
	(gtk_theme_thumbnail_cb), (metacity_theme_thumbnail_cb),
	(icon_theme_thumbnail_cb), (changed_on_disk_cb): always generate
	thumbnails asynchronously. Mixing synchronous and asynchronous
	generation just doesn't work (bug #469849)

2007-08-27  Thomas Wood  <thos@gnome.org>

	Patch by: Gabor Kelemen <kelemeng@gnome.hu>

	* data/appearance.glade: Fix bug 470532 (gtk-delete stock id is marked for
	translation)

2007-08-23  Jens Granseuer  <jensgr@gmx.net>

	* appearance-themes.c: (theme_get_thumbnail_from_cache):
	* gnome-wp-item.c: (gnome_wp_item_update_description): fix leaks (bug
	#469531)

2007-08-23  Jens Granseuer  <jensgr@gmx.net>

	* appearance-font.c: (cb_show_details): simply set the upper bound of
	the DPI spin button to the maximum we consider reasonable. This is one
	way to make sure we don't get SIGFPE if for some reason
	gdk_screen_get_{width,height}_mm returns 0 (bug #469580)

2007-08-22  Jens Granseuer  <jensgr@gmx.net>

	* appearance-desktop.c: (wp_select_after_realize): if no background
	image set, select "no wallpaper"

2007-08-14  Jens Granseuer  <jensgr@gmx.net>

	* appearance-themes.c: (themes_init):
	* data/appearance.glade: correct the item width and enable line
	wrapping for long theme names (bug #466405)

2007-08-11  Jens Granseuer  <jensgr@gmx.net>

	* appearance-style.c: (conv_from_widget_cb): make sure we have a
	selection before trying to get the data (bug #465431)

2007-08-11  Jens Granseuer  <jensgr@gmx.net>

	* theme-installer.c: (gnome_theme_install_from_uri): fix leak

2007-08-09  Jens Granseuer  <jensgr@gmx.net>

	* appearance-themes.c: (theme_drag_data_received_cb),
	(themes_init): restrict drag'n'drop installation to the theme tab
	instead of the entire window so lockdown works properly

	* theme-installer.c: (gnome_theme_install_from_uri),
	(gnome_theme_installer_run):
	* theme-installer.h: fix double-free and use-after-free

2007-08-09  Jens Granseuer  <jensgr@gmx.net>

	* appearance-themes.c: (themes_init): reenable theme lockdown

2007-08-09  Jens Granseuer  <jensgr@gmx.net>

	* gnome-wp-xml.c: (gnome_wp_xml_load_list),
	(gnome_wp_xml_save_list):
	* theme-installer.c: (gnome_theme_install_from_uri): tiny optimization

2007-08-08  Jens Granseuer  <jensgr@gmx.net>

	* appearance-style.c: (gtk_theme_changed): revert r7973 because it
	broke color scheme notifications, and add a comment
	* appearance-themes.c: (theme_setting_changed_cb), (themes_init):
	connect to some signals from GtkSettings instead of GConf

2007-08-07  Jens Granseuer  <jensgr@gmx.net>

	* appearance-desktop.c: (wp_add_images), (wp_dragged_image),
	(desktop_init):
	* appearance-main.c: (main):
	* appearance-style.c: (update_color_buttons_from_settings),
	(check_color_schemes_enabled), (update_cursor_size_scale),
	(prepare_list), (style_init):
	* appearance-ui.c: (ui_init): shave off a number of unnecessary casts

2007-08-07  Jens Granseuer  <jensgr@gmx.net>

	* appearance-style.c: (gtk_theme_changed): also remove code that we
	needed when the thumbnailer was still in-process

2007-08-07  Jens Granseuer  <jensgr@gmx.net>

	* appearance-style.c: (color_button_clicked_cb): remove stuff I forgot
	to delete

2007-08-07  Jens Granseuer  <jensgr@gmx.net>

	* appearance-style.c: (color_button_clicked_cb): make sure the color
	scheme has changed before writing to GConf and enabling the reset button

2007-08-07  Jens Granseuer  <jensgr@gmx.net>

	* appearance-style.c: (update_color_buttons_from_string): simplify
	(check_color_schemes_enabled): fix check for available symbolic colors
	and make buttons for unsupported colors insensitive (bug #464081)
	(color_button_clicked_cb), (style_init): simplify

	* data/appearance.glade: name the color buttons exactly like their
	respective color so we don't need to keep two arrays around

2007-08-05  Jens Granseuer  <jensgr@gmx.net>

	* appearance-themes.c: (themes_init): reinstate select-after-realize;
	it's still necessary

2007-08-05  Jens Granseuer  <jensgr@gmx.net>

	Patch by: Dennis Cranston <dennis_cranston@yahoo.com>

	* data/appearance.glade: Indent category contents, and other HIG
	spacing fixes for "Font Rendering Details" dialog (bug #463332)

2007-08-04  Jens Granseuer  <jensgr@gmx.net>

	Based on a patch by: Dennis Cranston <dennis_cranston@yahoo.com>

        * appearance-style.c: (update_cursor_size_scale) Toggle
        sensitivity of the cursor scale labels (bug #463442)

2007-08-04  Denis Washington  <denisw@svn.gnome.org>

	* appearance-style.c: (prepare_list):
	Only add a "Default Pointer" list item if there is
	no such GnomeThemeCursorInfo.

2007-08-03  Jens Granseuer  <jensgr@gmx.net>

	* appearance-themes.c: (theme_thumbnail_update): oops, remove
	left-over devel ifdef

2007-08-03  Jens Granseuer  <jensgr@gmx.net>

	* appearance-desktop.c: (wp_color_changed): use gdk_color_to_string
	instead of g_strdup_printf
	* gnome-wp-xml.c: (gnome_wp_xml_load_xml),
	(gnome_wp_xml_load_list): remove check for old glib version that
	would result in bogus code, and save an unnecessary alloc

2007-08-03  Jens Granseuer  <jensgr@gmx.net>

	* appearance-desktop.c: (wp_props_load_wallpaper), (wp_add_image),
	(wp_scale_type_changed), (wp_shade_type_changed),
	(wp_update_preview), (wp_load_stuffs), (desktop_init),
	(desktop_shutdown):
	* appearance-main.c: (init_appearance_data),
	(main_window_response):
	* appearance-themes.c: (theme_get_mtime), (theme_thumbnail_update),
	(theme_get_thumbnail_from_cache), (theme_thumbnail_done_cb),
	(theme_thumbnail_generate):
	* appearance.h:
	* gnome-wp-xml.c: (gnome_wp_load_legacy), (gnome_wp_xml_load_xml):
	use thumbnail factory to store and retrieve metatheme thumbs
	(bug #448968)

2007-08-03  Jens Granseuer  <jensgr@gmx.net>

	* data/appearance.glade:
	* data/theme-thumbnailing.png: reduce metatheme thumbnail size to
	128x128 in preparation of using gnome-thumbnail-factory

2007-08-03  Jens Granseuer  <jensgr@gmx.net>

	* appearance-style.c: (color_button_clicked_cb): simplify

2007-08-01  Thomas Wood  <thos@gnome.org>

	Path by: Dennis Cranston <dennis_cranston@yahoo.com>

	* data/appearance.glade:  Add a few more mnemonics.  HIG capitalization 
	  fix for a checkbutton label.

2007-07-31  Jens Granseuer  <jensgr@gmx.net>

	* appearance-desktop.c: (wp_file_open_dialog), (desktop_init):
	* appearance.h: add a shortcut to the user's special Pictures folder to
	the file chooser and default to it (bug #461093), and reduce casting

2007-07-30  Jens Granseuer  <jensgr@gmx.net>

	* appearance-style.c: (color_button_clicked_cb): fix cut'n'paste errors
	for the tooltip colors and use new color enum

	* data/appearance.glade: repair the mess glade3 made of the file

2007-07-30  Thomas Wood  <thos@gnome.org>

	* appearance-style.c: (color_button_clicked_cb): Add missing '\n'.

2007-07-30  Jens Granseuer  <jensgr@gmx.net>

	* appearance-themes.c: (themes_init):
	* data/appearance.glade: use our custom cell renderer for metathemes,
	too, so the previews don't get shaded (bug #461198)

2007-07-30  Thomas Wood  <thos@gnome.org>

	* appearance-style.c: (update_color_buttons_from_string),
	(check_color_schemes_enabled), (color_button_clicked_cb),
	(style_init):
	* data/appearance.glade:

	Add tooltip foreground and background colours to the list of recognised
	symbolic colours.


2007-07-29  Jens Granseuer  <jensgr@gmx.net>

	* appearance-main.c: (main): default to showing the background tab
	if wallpapers were given on the command line

2007-07-29  Jens Granseuer  <jensgr@gmx.net>

	* data/gnome-appearance-properties.desktop.in.in: add %F to the exec
	line so external programs like epiphany can set the background (bug
	#456337)

2007-07-29  Jens Granseuer  <jensgr@gmx.net>

	* data/appearance.glade:
	* appearance-themes.c: (theme_custom_cb):
	* theme-save.c: (save_dialog_response): only create the custom theme
	entry when changes are made, and delete it when the theme is saved.
	These changes obsolete the requirement for a modal details window.

2007-07-29  Denis Washington  <denisw@svn.gnome.org>

	* appearance.h:
	* appearance-desktop.c: (desktop_init):
	Don't store the cell renderer in AppearanceData, it is only needed by
	desktop_init().

2007-07-29  Jens Granseuer  <jensgr@gmx.net>

	* appearance-themes.c: (theme_message_area_update), (themes_init):
	cope with unset GConf keys, and group GConf notifications

2007-07-29  Denis Washington  <denisw@svn.gnome.org>

	* appearance-themes.c: (theme_message_area_response_cb),
	(theme_message_area_update), (theme_selection_changed_cb),
	(background_or_font_changed), (themes_init):
	_Really_ only show background/font suggestions if they haven't
	already been applied.

2007-07-29  Denis Washington  <denisw@svn.gnome.org>

	* appearance-themes.c: (theme_message_area_response_cb),
	(theme_message_area_update), (theme_selection_changed_cb):
	Only show background/font suggestions if they haven't already
	been applied.

2007-07-29  Denis Washington  <denisw@svn.gnome.org>

	* data/appearance.glade:
	* appearance-themes.c: (theme_message_area_response_cb),
	(theme_message_area_update), (theme_selection_changed_cb),
	(themes_init), (themes_shutdown):
	* gedit-message-area.[ch]:
	* theme-util.h:
	Added controls for applying suggested backgrounds and/or fonts from
	metathemes. Copied over some code from gedit for the message area
	(GeditMessageArea).

	* Makefile.am:
	Added gedit-message-area.[ch].

2007-07-29  Thomas Wood  <thos@gnome.org>

	* appearance-style.c: (cursor_theme_sort_func), (prepare_list),
	(style_init): Prevent some memory leaks

2007-07-29  Thomas Wood  <thos@gnome.org>

	* theme-installer.c: (file_theme_type), (gnome_theme_install_real):
	- Fix theme installation (free called before last last use of a string)
	- Update icon cache when installing icon themes (closes bug 355486)

2007-07-29  Thomas Wood  <thos@gnome.org>

	* data/appearance.glade: Fix mnemonics and Customize Theme window title.
	Closes bug 461255.

2007-07-28  Jens Granseuer  <jensgr@gmx.net>

	* appearance-desktop.c: (wp_view_tooltip_cb), (desktop_init):
	* data/appearance.glade: get rid of a number of unnecessary casts and the
	gtk version checks since we now depend on 2.11.6 unconditionally

2007-07-28  Denis Washington  <denisw@svn.gnome.org>

	* appearance-style.c: (prepare_list):
	Show readable_name in cursor theme list instead of name.

2007-07-28  Thomas Wood  <thos@gnome.org>

	* wp-cellrenderer.c: (cell_renderer_wallpaper_render): Don't draw the
	selection indicator if width is -1

2007-07-28  Thomas Wood  <thos@gnome.org>

	* wp-cellrenderer.c: (cell_renderer_wallpaper_render): c89 fix and add 1px
	border between selection indicator and contents

2007-07-28  Thomas Wood  <thos@gnome.org>

	* wp-cellrenderer.c: (cell_renderer_wallpaper_render): Use cairo to draw the
	cell renderer selection

2007-07-28  Jens Granseuer  <jensgr@gmx.net>

	* wp-cellrenderer.c: (cell_renderer_wallpaper_render):
	* wp-cellrenderer.h: fix cell renderer state logic to not be always on

2007-07-28  Thomas Wood  <thos@gnome.org>

	* theme-util.c: Add missing include

2007-07-27  Jens Granseuer  <jensgr@gmx.net>

	* appearance-themes.c: (themes_init): constify drag'n'drop data, remove
	unused variable, use G_N_ELEMENTS where applicable

2007-07-27  Jens Granseuer  <jensgr@gmx.net>

	* appearance-themes.c: (themes_init, theme_postinit): remove workarounds
	for initialization problems in early versions of the capplet

2007-07-27  Denis Washington  <dwashington@gmx.net>

	* appearanc-themes.c: (appearance_window_drag_data_received_cb),
	(themes_init):
	Implement drag-and drop theme installation.

2007-07-27  Denis Washington  <dwashington@gmx.net>

	* data/cursor-*.pcf:
	* data/mouse-cursor-*.png:
	Cursor fonts and thumbnails moved from gnome-mouse-properties.

	* data/Makefile.am:
	Install the new files.

2007-07-26  Jens Granseuer  <jensgr@gmx.net>

	* appearance-style.c: (update_color_buttons_from_string):
	* appearance-themes.c: (theme_load_from_gconf), (theme_is_equal):
	* theme-util.c: (theme_find_in_model):
	* theme-util.h: move some utility code over to common

2007-07-26  Jens Granseuer  <jensgr@gmx.net>

	* appearance-style.c: (update_color_buttons_from_settings),
	(color_scheme_defaults_button_clicked_cb): really unset the gconf key
	when reverting colors

2007-07-26  Jens Granseuer  <jensgr@gmx.net>

	* appearance-style.c: (update_color_buttons_from_string),
	(update_color_buttons_from_settings):
	* appearance-themes.c: (theme_is_equal):
	* theme-util.c: (theme_parse_color_scheme),
	(theme_color_scheme_equal):
	* theme-util.h: make color scheme comparisons work much more reliably

2007-07-26  Jens Granseuer  <jensgr@gmx.net>

	* gnome-wp-item.c: (gnome_wp_item_update_description): add a comment
	for translators (bug #460506)

2007-07-26  Denis Washington <denisw@svn.gnome.org>

	* data/appearance.glade:
	Fixed a bug introduced in my last commit which caused to make the
	button box appear above the cursors list in the theme details window.

	* appearance-style.c: (cursor_theme_sort_func), (prepare_list):
	Make "Default Pointer" always appear as first item in the list.

2007-07-26  Denis Washington <denisw@svn.gnome.org>

	* data/appearance.glade:
	* appearance-style.c: 
	* appearance-themes.c: (theme_load_from_gconf), (cursor_theme_changed),
	(prepare_list), (style_init):
	* theme-save.c: (write_theme_to_disk):
	* theme-util.h:
	Re-add basic support for cursor themes for X servers without the Xcursor
	extension, like the one on Solaris.

2007-07-25  Thomas Wood  <thos@gnome.org>

	Patch by:  Dennis Cranston <dennis_cranston@yahoo.com>

	* gnome-wp-item.c: (gnome_wp_item_update_description):Simplify tooltip
	descriptions.  Change "Location" to "Folder".  Do not overuse bold text.
	Closes bug 460111.


2007-07-25  Denis Washington <denisw@svn.gnome.org>

	* appearance-style.c: (prepare_list):
	* appearance-themes.c: (theme_load_from_gconf):
	* theme-save.c: (write_theme_to_disk):
	Implement saving of the cursor theme name in metathemes, and add a
	"Default Pointer" option to the cursor theme list in Theme Details.

2007-07-24  Jens Granseuer  <jensgr@gmx.net>

	* appearance-themes.c: (theme_load_from_gconf): when reading current
	settings from gconf, get the color scheme from the gtk theme if necessary
	to allow matching against themes retrieved via gnome-theme-info

2007-07-24  Thomas Wood  <thos@gnome.org>

	* data/Makefile.am: Add makefile

2007-07-24  Thomas Wood  <thos@gnome.org>

	* data: Add a data sub-directory for non-code items

2007-07-24  Jens Granseuer  <jensgr@gmx.net>

	* appearance-style.c: (update_color_buttons_from_settings),
	(prepare_list), (style_init): improve color scheme matching; simplify
	code; don't possibly unref cursor thumbs twice; remove redundant color
	scheme initialization
	* appearance.glade: make theme details window modal to prevent the
	user from editing non-custom themes

2007-07-23  Jens Granseuer  <jensgr@gmx.net>

	* appearance-desktop.c: (desktop_init): bump all tooltips code to gtk
	2.11.6

2007-07-23  Matthias Clasen  <mclasen@redhat.com>

	* appearance-desktop.c: Use new GTK+ convenience API for
	icon view tooltips.  (#455985)

2007-07-12  Jens Granseuer  <jensgr@gmx.net>

	* appearance-desktop.c: (wp_load_stuffs), (desktop_init),
	(desktop_shutdown):
	* appearance-desktop.h:
	* appearance-main.c: (main):
	* appearance.h: add option to add wallpapers via the command line
	(closes bug #456337)

2007-07-08  Jens Granseuer  <jensgr@gmx.net>

	* appearance-style.c: (cursor_size_scale_value_changed_cb): plug yet
	another leak

2007-07-08  Denis Washington  <denisw@svn.gnome.org>

	* appearance.glade: change the button order in themes tab.
	* appearance-style.c: add an icon to Customize button.

2007-07-08  Jens Granseuer  <jensgr@gmx.net>

	* appearance-desktop.c: (wp_view_tooltip_cb): fix leaks

2007-07-05  Jens Granseuer  <jensgr@gmx.net>

	* appearance-themes.c: (themes_init):
	* appearance.glade: ellipsize the "Save As" button

2007-07-05  Jens Granseuer  <jensgr@gmx.net>

	* appearance-style.c: (update_color_buttons_from_string): don't allocate
	colors in the colormap
	(update_cursor_size_scale), (cursor_size_scale_value_changed_cb): don't
	crash if we have nothing but the default cursor theme

2007-07-05  Denis Washington  <denisw@svn.gnome.org>

	* appearance.glade: set an explicit item width for the metatheme icon
	view so overly long names don't needlessly widen all items' width. Such
	names are wrapped now.

2007-07-05  Denis Washington  <denisw@svn.gnome.org>

	* appearance.glade:
	* appearance-style.c: (cursor_size_scale_value_changed_cb), 
	(cursor_theme_changed), (prepare_list), (update_cursor_size_scale):
	* theme-util.h:
	Add cursor themes support.

2007-06-28  Jens Granseuer  <jensgr@gmx.net>

	* appearance.glade: add explicit width_request to our icon views so we
	can use GTK_POLICY_NEVER for horizontal scrollbars and still properly
	resize the window (part of bug #451585)

2007-06-28  Jens Granseuer  <jensgr@gmx.net>

	* appearance-themes.c: (themes_init):
	* appearance.glade: move "selection_mode" to glade file and remove
	hard-coded item width

2007-06-28  Jens Granseuer  <jensgr@gmx.net>

	* appearance-themes.c: (theme_store_sort_func), (themes_init): fix leaks,
	use g_list_foreach instead of open-coded loop

2007-06-27  Denis Washington  <denisw@svn.gnome.org>

	* appearance-themes.c: (theme_list_sort_func), (themes_init):
	Load the metatheme thumbnails in the order they are in the list.

2007-06-27  Denis Washington  <denisw@svn.gnome.org>

	* appearance.h:
	* appearance-themes.c: (theme_list_sort_func, themes_init):
	Make the Custom theme always the first in the list and make it's label bold
	to diffentiate it from the other themes.

2007-06-26  Jens Granseuer  <jensgr@gmx.net>

	* appearance-themes.c: (theme_is_equal): ... and actually accept an empty
	color scheme setting as valid

2007-06-26  Jens Granseuer  <jensgr@gmx.net>

	* appearance-style.c: (prepare_list):
	no need to reassign thumbnails inside the loop

	* appearance-themes.c: (theme_load_from_gconf), (theme_is_equal):
	consider NULL and "" equal for color schemes; also reshuffle
	functions a bit and fix the include list

2007-06-26  Denis Washington  <denisw@svn.gnome.org>

	* gtk-theme-thumbnailing.png:
	* icon-theme-thumbnailing.png:
	* window-theme-thumbnailing.png:
	Placeholder thumbnails for gtk+, metacity and icon themes.

	* Makefile.am: Add new files.

	* appearance.h:
	* appearance-style.h:
	* appearance-style.c: (style_init), (style_shutdown), (prepare_list):
	Use the new placeholder thumbnails for the details window's theme lists.

	* appearance-main.c: Call new style_shutdown ().

2007-06-25  Denis Washington  <denisw@svn.gnome.org>

	* appearance.glade: Fixed resize problems.

2007-06-25  Jens Granseuer  <jensgr@gmx.net>

	* appearance-style.c: (prepare_list): don't try to use uninitialized
	GdkPixbuf

2007-06-25  Denis Washington  <denisw@svn.gnome.org>

	* appearance-themes.c:
	Adjusted for the API changes in theme-thumbnail.c. Thumbnail requestes are
	now directly queued by generate_*_async(), so do not maintain an own queue
	anymore.

	* appearance-style.c:
	Use the new asynchronous thumbnail generation functions, and replace all
	occurrences of "metacity_themes_list" with the correct "window_themes_list".

	* appearance.h:
	Remove "theme_queue", it is not needed anymore.

2007-06-24  Jens Granseuer  <jensgr@gmx.net>

	* Makefile.am:
	* appearance-themes.c: (theme_selection_changed_cb),
	(theme_save_cb), (themes_init), (themes_shutdown):
	* appearance.glade:
	* appearance.h:
	* theme-save.c:
	* theme-save.h:
	* theme-util.h: implement theme saving

2007-06-23  Jens Granseuer  <jensgr@gmx.net>

	* appearance-style.c: rearranged functions (no code changes)

2007-06-23  Jens Granseuer  <jensgr@gmx.net>

	* theme-util.c: (theme_delete): use STOCK_DELETE instead of STOCK_OK in
	the confirmation dialog

2007-06-23  Jens Granseuer  <jensgr@gmx.net>

	* appearance-style.c: (add_to_treeview), (remove_from_treeview),
	(update_in_treeview), (changed_on_disk_cb), (style_init):
	* appearance-themes.c: (theme_select_name),
	(theme_set_custom_from_theme), (theme_changed_on_disk_cb),
	(theme_thumbnail_done_cb):
	* theme-installer.c: (gnome_theme_installer_run):
	* theme-util.c: (theme_find_in_model):
	* theme-util.h: listen to on-disk theme changes in the details tabs, too

2007-06-22  Jens Granseuer  <jensgr@gmx.net>

	* appearance-style.c: (gtk_theme_changed), (window_theme_changed),
	(icon_theme_changed), (generic_theme_delete),
	(gtk_theme_delete_cb), (window_theme_delete_cb),
	(icon_theme_delete_cb), (style_init), (prepare_list),
	(check_color_schemes_enabled): hook up the delete buttons

2007-06-22  Denis Washington  <denisw@svn.gnome.org>

	* appearance.glade:
	Tweak the metatheme icon view's margin and spacings to better fit to the
	new thumbnails.

	* theme-thumbnailing.png:
	Modernized and brought to the size of the new metatheme thumbnails.
 
2007-06-18  Jens Granseuer  <jensgr@gmx.net>

	* theme-installer.c: (gnome_theme_install_real): fix compiler warning

2007-06-18  Jens Granseuer  <jensgr@gmx.net>

	* appearance.glade: remove install buttons from individual detail pages
	and HIG-ify the "revert to defaults" label

2007-06-18  Jens Granseuer  <jensgr@gmx.net>

	* theme-installer.c: (file_theme_type): just check for configure
	instead of configure.in since configure.ac is valid as well; we still
	need a better way to identify engines...

2007-06-18  Rodrigo Moya <rodrigo@gnome-db.org>

	* appearance-main.c: added the names of the pages to the help strings
	for --show-page argument.

2007-06-17  Jens Granseuer  <jensgr@gmx.net>

	* appearance-main.c: (main):
	* appearance.glade: add --show-page option to specify the page with
	which to start

2007-06-17  Denis Washington  <denisw@svn.gnome.org>

	* appearance-desktop.c: (desktop_init): (wp_view_tooltip_cb):
	* gnome-wp-item.c: (gnome_wp_item_update_description):
	Added metadata tooltips to the thumbnails in the Background tab.
	Needs GTK+ 2.11 to compile (but is surrounded with GTK_CHECK_VERSION()
	for compilation with older gtk+ versions).

2007-06-17  Denis Washington  <denisw@svn.gnome.org>

	* appearance-style.c: (prepare_list):
	Change the weight of the theme titles from bold to normal in the Theme
	Details window's lists.

2007-06-16  Jens Granseuer  <jensgr@gmx.net>

	* Makefile.am:
	* appearance-main.c: (init_appearance_data), (main):
	* gnome-theme-installer.desktop.in.in: make gnome-theme-installer
	work

2007-06-16  Jens Granseuer  <jensgr@gmx.net>

	* Makefile.am:
	* appearance-style.c: (prepare_list):
	* appearance-themes.c: (theme_install_cb), (theme_delete_cb),
	(theme_details_changed_cb):
	* theme-installer.c: (cleanup_tmp_dir), (file_theme_type),
	(missing_utility_message_dialog), (transfer_done_tgz_tbz),
	(transfer_done_archive), (gnome_theme_install_real),
	(transfer_done_cb), (gnome_theme_install_from_uri),
	(gnome_theme_installer_run):
	* theme-installer.h: add initial support for installing themes,
	includes support for packages containing more than one theme
	(bug #409624)

2007-06-15  Jens Granseuer  <jensgr@gmx.net>

	* appearance-desktop.c: (wp_props_load_wallpaper),
	(wp_scale_type_changed), (wp_shade_type_changed):
	* gnome-wp-utils.c: (gnome_wp_pixbuf_tile): be extra careful when
	generating pixbufs (should mean we just get no thumbs instead of
	assertion failures, bug #403160)

2007-06-14  Jens Granseuer  <jensgr@gmx.net>

	* Makefile.am:
	* theme-util.c: (theme_delete), (theme_model_iter_last):
	* theme-util.h: new files

	* appearance.glade: default delete buttons to insensitive,
	change label for "Custom" key, adjust column ids for icon view

	* appearance-style.c: (style_init), (prepare_list),
	(update_color_buttons_from_settings), (theme_name_changed),
	(color_button_clicked_cb),
	(color_scheme_defaults_button_clicked_cb):
	* appearance-themes.c: (theme_get_selected_name),
	(theme_get_selected), (theme_select_iter), (theme_select_name),
	(theme_is_equal), (theme_set_custom_from_theme),
	(theme_changed_on_disk_cb), (theme_custom_cb), (theme_delete_cb),
	(theme_details_changed_cb), (theme_color_scheme_changed_cb),
	(theme_gconf_changed), (theme_postinit), (themes_init),
	(themes_shutdown):
	* appearance.h: improvements all around the block (metatheme
	deletion now working, and custom theme working much better)

2007-06-09  Denis Washington  <denisw@svn.gnome.org>

	* appearance-style.c: (theme_name_changed):
	Manually deal with gtk+ theme changes now that the theme thumbnailing
	code uses the default GtkSettings again.

2007-06-10  Jens Granseuer  <jensgr@gmx.net>

	* appearance-style.c: (style_init), (check_color_schemes_enabled):
	fix "reset to defaults" sensitivity for real
	* appearance-themes.c: (theme_color_scheme_changed_cb),
	(themes_init): listen to colour scheme changes as well

2007-06-10  Jens Granseuer  <jensgr@gmx.net>

	* appearance-style.c: (check_color_schemes_enabled): disable the "reset
	to defaults" button if the theme doesn't support custom colours

2007-06-10  Jens Granseuer  <jensgr@gmx.net>

	* appearance-style.c: (check_color_schemes_enabled): we don't need the
	engine stuff, so don't retrieve it in the first place

2007-06-10  Jens Granseuer  <jensgr@gmx.net>

	* appearance-main.c: (init_appearance_data), (main):
	* appearance.h: fix passing and parsing of command line args

	* appearance-style.c: (update_color_buttons_from_settings),
	(check_color_schemes_enabled): fix leaks

	* appearance.glade: revert response_id sillyness from last commit

2007-06-09  Denis Washington  <denisw@svn.gnome.org>

	* appearance.glade:
	* appearance-style.c:
	Add all missing color schemes options from gnome-theme-manager, including
	a Reset To Defaults button.

2007-06-07  Jens Granseuer  <jensgr@gmx.net>

	* appearance-themes.c: (is_locked_down),
	(theme_changed_on_disk_cb), (theme_selection_changed_cb),
	(themes_init): add initial lockdown bits from theme-manager,
	delete button sensitivity updates, and preliminary support
	for reacting to metatheme changes

2007-06-06  Jens Granseuer  <jensgr@gmx.net>

	* appearance-themes.c: (theme_thumbnail_generate),
	(theme_queue_for_thumbnail), (theme_thumbnail_done_cb): update
	for changes in thumbnailer API

2007-06-06  Jens Granseuer  <jensgr@gmx.net>

	* appearance-style.c: (style_response_cb), (style_init): don't
	destroy the window on "delete-event"

	* appearance-themes.c: (theme_load_from_gconf),
	(theme_thumbnail_generate), (theme_queue_for_thumbnail),
	(theme_get_selected), (theme_set_custom_from_selected),
	(theme_remove_custom), (theme_thumbnail_done_cb),
	(theme_selection_changed_cb), (theme_custom_cb),
	(theme_details_changed_cb), (themes_init): hook up more of the
	customization functionality; don't unref generated thumbnails
	because they are still held in a cache by the thumbnailer

2007-06-05  Jens Granseuer  <jensgr@gmx.net>

	* Makefile.am:
	* gnome-theme-package.xml.in: move theme package mime type over
	from the theme-manager (closes bug #444336)

2007-06-04  Jens Granseuer  <jensgr@gmx.net>

	* appearance-desktop.c: (desktop_init), (desktop_shutdown):
	* appearance-desktop.h:
	* appearance-font.c: (font_init), (font_shutdown):
	* appearance-font.h:
	* appearance-main.c: (main_window_response), (main):
	* appearance-style.c: (style_init), (conv_to_widget_cb),
	(conv_from_widget_cb):
	* appearance-style.h:
	* appearance-themes.c:
	* appearance-themes.h:
	* appearance.h: major resource handling fixup and initial bits
	for handling custom metathemes

2007-05-30  Jens Granseuer  <jensgr@gmx.net>

	* appearance.glade: fix duplicate mnemonic

2007-05-28  Jens Granseuer  <jensgr@gmx.net>

	* appearance-style.c: (style_init), (find_string_in_model),
	(conv_to_widget_cb), (update_color_buttons_from_string): minor
	code simplification/cleanup

2007-05-25  Jens Granseuer  <jensgr@gmx.net>

	* appearance-style.c: (prepare_list): don't leak thumbnails

2007-05-25  Jens Granseuer  <jensgr@gmx.net>

	* appearance-style.c: (prepare_list), (conv_to_widget_cb),
	(conv_from_widget_cb): properly distinguish between theme name and
	theme label (currently only relevant for icon themes)

2007-05-25  Denis Washington  <denisw@svn.gnome.org>

	* theme-thumbnailing.png:
	Add theme-thumbnailing.png to Makefile.am.

2007-05-25  Denis Washington  <denisw@svn.gnome.org>

	* theme-thumbnailing.png:
	Added as it is used by appearance-themes.c

2007-05-25  Denis Washington  <denisw@svn.gnome.org>

	* appearance.glade: Fix button order in theme details dialog again.

2007-05-25  Denis Washington  <denisw@svn.gnome.org>

	* appearance.glade:
	* appearance-style.c:
	Revert the organization of the theme details dialog to the old (2.18)
	style again, but now with thumbnails for gtk+, metacity and icon themes.

2007-05-16  Jens Granseuer  <jensgr@gmx.net>

	* appearance-style.c: (prepare_combo), (find_string_in_model),
	(conv_to_widget_cb), (conv_from_widget_cb),
	(update_color_buttons_from_string), (color_button_clicked_cb):
	minor cleanup and getting rid of unnecessary casts

2007-05-16  Denis Washington  <denisw@svn.nome.org>

	* appearance-desktop.c: (desktop_init): Minor code cleanup.

2007-05-16  Denis Washington  <denisw@svn.nome.org>

	* appearance-desktop.c: (desktop_init): re-enable drag-and-drop for the
	wallpaper list.

2007-05-14  Jens Granseuer  <jensgr@gmx.net>

	* appearance.glade: fix button order, remove redundant receives_default,
	don't mark stock labels translatable, and other minor cleanups

2007-05-13  Thomas Wood  <thos@gnome.org>

	* appearance-style.c: (prepare_combo): Connect up colour scheme monitor. Hide
	window on delete, rather than destroy. Add an item to the theme lists if the
	current theme is not present already.
	* appearance-themes.c: (theme_custom_cb): Add missing #include. Moved some
	code to appearance-style.c

2007-05-13  Thomas Wood  <thos@gnome.org>

	* appearance-style.c: (prepare_combo): Sort the items in the theme lists

2007-05-13  Jens Granseuer  <jensgr@gmx.net>

	* appearance-themes.c: (theme_thumbnail_func): unref the thumbnail when
	we're done with it

2007-05-13  Thomas Wood  <thos@gnome.org>

	* appearance-themes.c: (theme_thumbnail_func): Don't free data we don't own.
	Prevents crash when changing themes.

2007-05-13  Jens Granseuer  <jensgr@gmx.net>

	* appearance-themes.c: (themes_init), (theme_thumbnail_generate),
	(theme_thumbnail_func): fix asynchronous thumbnail generation

2007-05-13  Thomas Wood  <thos@gnome.org>

	* appearance-style.c: Add colour scheme functions

2007-05-13  Jens Granseuer  <jensgr@gmx.net>

	* appearance.glade: fix duplicate mnemonic

2007-05-13  Jens Granseuer  <jensgr@gmx.net>

	* appearance-themes.c: (themes_init): refix button name, too

2007-05-13  Jens Granseuer  <jensgr@gmx.net>

	* appearance-themes.c: (themes_init): fix gcc 2 build again (bad thos)

2007-05-13  Jens Granseuer  <jensgr@gmx.net>

	* appearance-desktop.c: (appearance_window_response):
	* appearance.glade: use predefined GTK constants for reponse ids

2007-05-13  Thomas Wood  <thos@gnome.org>

	* appearance-themes.c: (themes_init), (theme_changed_func): Use asynchronous
	methods to generate thumbnails.

2007-05-13  Jens Granseuer  <jensgr@gmx.net>

	* appearance-font.c: (cb_details_response), (cb_show_details):
	now we parse the entire glade file at startup, there's no need to
	reparse it for the font details dialog

2007-05-13  Jens Granseuer  <jensgr@gmx.net>

	* appearance-themes.c: (themes_init): update button name, declare
	variables at beginning of block
	* appearance.glade: fix button group assignment (again)

2007-05-13  Jens Granseuer  <jensgr@gmx.net>

	* gnome-wp-item.c: (gnome_wp_item_free): don't leak the WPItems

2007-05-13  Thomas Wood  <thos@gnome.org>

	* appearance-themes.c: (themes_init), (theme_changed_func),
	(theme_selection_changed_cb), (theme_custom_cb):
	- Sort metathemes icon view
	- Apply theme on selection change
	- Use theme name rather than display name to apply theme

2007-05-13  Thomas Wood  <thos@gnome.org>

	* appearance-main.c: (init_appearance_data):
	* appearance-themes.c: (themes_init), (theme_activated_cb):
	* appearance.glade:

	Move style tab into new window

2007-05-13  Denis Washington  <denisw@svn.nome.org>

	* appearance.glade: fixed a small mistake in Jens' last commit.

2007-05-13  Jens Granseuer  <jensgr@gmx.net>

	* appearance.glade: fix font rendering button group assignment,
	rename Preferences tab to Interface

2007-05-13  Denis Washington  <denisw@svn.nome.org>

	* gnome-wp-item.c: Made thumbnails in Desktop tab a bit smaller.

2007-05-13  Thomas Wood  <thos@gnome.org>

	* appearance.glade: Change "Desktop" tab label to "Background"

2007-05-12  Denis Washington  <denisw@svn.nome.org>

	* appearance-desktop.c: Changed the icon view's selection mode to
	GTK_SELECTION_BROWSE, fixed scrolling to the currently active
	background after the icon view is realized, and two other minor
	fixes.

2007-05-12  Denis Washington  <denisw@svn.nome.org>

	* appearance-desktop.c: (wp_remove_wallpaper):
	gtk_icon_view_set_cursor() => gtk_icon_view_select_path()

2007-05-12  Denis Washington  <denisw@svn.nome.org>

	* appearance.glade:
	* appearance-desktop.c: (wp_tree_delete_event):
	Fix for my last commit so there is no double free when the Help button has
	been clicked.

2007-05-12  Jens Granseuer  <jensgr@gmx.net>

	* appearance-desktop.c: (wp_scale_type_changed),
	(wp_color_changed), (wp_props_wp_set), (wp_props_wp_selected),
	(wp_load_stuffs): fix secondary color picker being ignored and initial
	dialog state when no wallpaper is selected

2007-05-12  Jens Granseuer  <jensgr@gmx.net>

	* appearance-desktop.c: (get_selected_item),
	(wp_tree_delete_event), (wp_update_preview), (desktop_init):
	* appearance.glade: move some strings to glade file, don't leak the
	file selector, plus a few minor beautifications

2007-05-11  Denis Washington  <denisw@svn.nome.org>

	* appearance-desktop.c: (desktop_init):
	Fix the background list not being saved when closing the capplet window.

2007-05-10  Denis Washington  <denisw@svn.nome.org>

	* appearance.h:
	* appearance-desktop.c:
	* appearance.glade:
	* gnome-wp-item.c:
	* Makefile.am:
	* wp-cellrenderer.[ch]:
	Replace the background treeview with an icon view that only shows the
	thumbnails. Tooltips are to be done.

2007-05-09  Jens Granseuer  <jensgr@gmx.net>

	* appearance-themes.c: (themes_init):
	* appearance.glade: change Open button label to Install...

2007-05-09  Jens Granseuer  <jensgr@gmx.net>

	* appearance-style.c: make sure that appearance.h (and thereby config.h)
	is included first; constify strings

	* gnome-wp-xml.c: (gnome_wp_xml_load_xml): fix leak

2007-05-08  Denis Washington  <denisw@svn.nome.org>

	* appearance.glade:
	Set mnemonic widgets for the labels in the Desktop tab.

2007-05-07  Thomas Wood  <thos@gnome.org>

	* appearance-style.c: (conv_to_widget_cb), (prepare_combo): Remove some
	unnecessary code.

2007-05-07  Thomas Wood  <thos@gnome.org>

	* appearance-style.c: (prepare_combo): Fix icon theme combo box

2007-05-07  Thomas Wood  <thos@gnome.org>

	* appearance-style.c: (prepare_combo): Use GConfPropertyEditor for theme
	combo boxes

2007-05-07  Thomas Wood  <thos@gnome.org>

	* Makefile.am:
	* appearance-main.c: (main):
	* appearance-style.c:
	* appearance-style.h:
	- Add files for Style tab
	- Implement changing gtk and metacity themes

	* appearance.glade: Change "Themes" to "Theme" and name some widgets

2007-05-07  Denis Washington  <denisw@svn.nome.org>

	* appearance.glade:
	* appearance-desktop.c: (desktop_init):
	Changed "Add" button in Desktop tab to "Add...".

2007-05-07  Thomas Wood  <thos@gnome.org>

	* appearance-main.c: (main):
	* appearance.glade:

	- Change GtkWindow to GtkDialog
	- Add Help and Close buttons
	- Set theme list scrolling policy to automatic

2007-05-07  Thomas Wood  <thos@gnome.org>

	* appearance.glade: Add a "Style" tab for the theme detail options

2007-05-07  Thomas Wood  <thos@gnome.org>

	* Makefile.am: Add FONT_CAPPLET_CFLAGS to INCLUDES

2007-05-06  Jens Granseuer  <jensgr@gmx.net>

	* appearance-main.c: (main): set application icon

2007-05-06  Jens Granseuer  <jensgr@gmx.net>

	* Makefile.am:
	* gnome-appearance-properties.desktop.in.in: add a desktop file

2007-05-06  Denis Washington  <denisw@svn.gnome.org>

	* appearance.glade: make the Add Wallpaper and Remove buttons in the
	Desktop tab stock buttons.

2007-05-04  Jens Granseuer  <jensgr@gmx.net>

	* appearance-desktop.c: (desktop_init):
	* appearance.glade: more HIG and consistency fixing

2007-05-04  Jens Granseuer  <jensgr@gmx.net>

	* appearance-desktop.c: (desktop_init):
	* appearance.glade: fix string capitalization according to HIG

2007-05-04  Denis Washington  <denisw@svn.gnome.org>

	* appearance.glade: Change tab order; Desktop now comes before Fonts.

2007-05-04  Jens Granseuer  <jensgr@gmx.net>

	* Makefile.am:
	* appearance-font.c:
	* appearance-font.h:
	* appearance-main.c: (init_appearance_data), (main):
	* appearance.glade:
	* appearance.h:
	* subpixel-bgr.png:
	* subpixel-rgb.png:
	* subpixel-vbgr.png:
	* subpixel-vrgb.png:

	add implementation for fonts tab

2007-05-04  Thomas Wood  <thos@gnome.org>

	* appearance-desktop.c: (wp_add_images), (wp_dragged_image),
	(desktop_init):
	* appearance-main.c: (main):
	* appearance-themes.c: (themes_init):
	* appearance-ui.c: (set_toolbar_style), (set_have_icons),
	(ui_init):
	* appearance.h:
	Remove WID() macro, which has an incompatible definition in capplet-utils.h

2007-05-04  Thomas Wood  <thos@gnome.org>

	* appearance-themes.c: (themes_init): Use readable name rather than file name
	in themes list

2007-05-03  Denis Washington  <denisw@svn.gnome.org>

	* appearance-desktop.c: (wp_tree_delete_event): Fixed a leak.

2007-05-03  Denis Washington  <denisw@svn.gnome.org>

	* appearance.h:
	* appearance-desktop.c:
	Ported Jens Granseuer's patch for bug #332810 to the appearance capplet
	and applied it.


2007-05-02  Jens Granseuer  <jensgr@gmx.net>

	* appearance-ui.c: (toolbar_detachable_cb), (ui_init): use proper
	GConf notification instead of hand-picking the correct signal for
	detachable toolbar

2007-05-02  Denis Washington  <denisw@svn.gnome.org>

	* Makefile.am: fizz says: don't indent with spaces in Makefile.am.
	* ChangeLog: I say: don't do so in ChangeLog either.

2007-05-02  Denis Washington  <denisw@svn.gnome.org>

	* appearance-desktop.c: Added drag and drop, re-enabled the watch cursor
	when adding images, and removed some commented out code.

2007-05-02  Denis Washington  <denisw@svn.gnome.org>

	* appearance-desktop.[ch]: Corrected copyright notice authors.

2007-05-01  Denis Washington  <denisw@svn.gnome.org>

	* appearance.glade:
	* appearance-desktop.c:
	* appearance-desktop.h:
	* appearance-main.h:
	* Makefile.am:
	* gnome-wp-*.[ch]:

	Implement the the Desktop tab. Drag and drop still has to be done.

2007-05-01  Thomas Wood  <thos@gnome.org>

	* appearance.glade: Combine Themes and Appearance tabs

2007-05-01  Jens Granseuer  <jensgr@gmx.net>

	* appearance-ui.c: (ui_init):
	* appearance.glade: convert all instances of GtkOptionMenu to
	GtkComboBox

2007-05-01  Jens Granseuer  <jensgr@gmx.net>

	* appearance-main.c: (main):
	* appearance-ui.c: (ui_init):
	* appearance-ui.h:
	* appearance.h: we don't need to unref the GConfPropertyEditors

2007-05-01  Jens Granseuer  <jensgr@gmx.net>

	* appearance-main.c: (main):
	* appearance-ui.c:
	* appearance-ui.h:
	* appearance.h:
	* appearance.glade:

	fill the Preferences tab with life

2007-05-01  Jens Granseuer  <jensgr@gmx.net>

	* appearance-main.c: (init_appearance_data), (main):
	* appearance.h:

	include config.h before anything else and add a GConfClient
	reference to the AppearanceData struct

2007-04-30  Thomas Wood  <thos@gnome.org>

	* appearance-main.c: (main):
	* appearance.h:

	Include config.h and add some comments.

2007-04-30  Denis Washington  <denisw@svn.gnome.org>

	* appearance.glade: replace occurrences of "colour" with "color".

2007-04-30  Jens Granseuer  <jensgr@gmx.net>

	* Makefile.am: use GNOMECC_GLADE_DIR like the other capplets
	do
	* appearance-main.c: (init), (main): move initialization to
	a separate function, fix glade file location, leak less
	memory, and init g_threads

2007-04-30  Thomas Wood  <thos@gnome.org>

	* appearance-main.c:
	* appearance-themes.c:
	* appearance-themes.h:
	* appearance.h:

	Add license headers

